Subject: Re: pause()
From: [email-masked] (Kees van Veen)

23 Feb 1998 04:06:14 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Gavin Lambert <[email-masked]>
Cc: Gnu win32 <[email-masked]>

Gavin Lambert wrote:
> 
> I'm trying to compile a UNIX application (the LambdaMOO server) under
> Gnu-win32, but have been experiencing some difficulties.
> 
> The program prefers to use virtual timers if possible (using setitimer &
> getitimer); are they available somewhere?
> 
> As part of its timer routines, it sets a SIGALRM handler, calls alarm(),
> and then pause().  pause() has a prototype in the standard headers (in
> sys/unistd.h), but ld reports that it cannot find the routine in the library.
> 
> Any suggestions?  And if I cannot use pause(), is there a function that
> performs a similar function?  (I am familar with C but have no UNIX
> experience).

get coolview from http://miracle.geol.msu.ru/sos

Kees
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".